{
	"format_version": "1.8.0",
	"animations": {
		"animation.tsu_morph.panda.lying": {
			"loop": true,
			"bones": {
				"bodyMorph": {
					"rotation": [
						"query.lie_amount * -180 - this",
						0,
						0
					],
					"position": [
						0,
						"(query.is_baby ? -8.8 : -7.67) * query.lie_amount -10 - this",
						0
					]
				},
				"headMorph": {
					"rotation": [
						"(query.lie_amount * 90) - this",
						0,
						0
					]
				},
				"leg0Morph": {
					"rotation": [
						"math.sin(query.life_time * 206.28) * -17.2 - this",
						0,
						0
					]
				},
				"leg1Morph": {
					"rotation": [
						"math.sin(query.life_time * 263.58) * 17.2 - this",
						0,
						0
					]
				},
				"leg2Morph": {
					"rotation": [
						"math.sin(query.life_time * 172) * 17.2 - this",
						0,
						0
					]
				},
				"leg3Morph": {
					"rotation": [
						"math.sin(query.life_time * 229.2) * -17.2 - this",
						0,
						0
					]
				}
			}
		},
		"animation.tsu_morph.panda.rolling": {
			"loop": true,
			"bones": {
				"bodyMorph": {
					"rotation": [
						"(query.roll_counter / 32) * 360",
						0,
						0
					]
				},
				"headMorph": {
					"rotation": [
						"(this * -118) + query.roll_counter - this",
						0,
						0
					]
				},
				"leg0Morph": {
					"rotation": [
						"math.sin(query.life_time * 60 * (query.is_baby ? 0.95 : 0.5) * 57.3) * 8.6 - this",
						0,
						0
					]
				},
				"leg1Morph": {
					"rotation": [
						"math.sin(query.life_time * 60 * (query.is_baby ? 0.95 : 0.5) * 57.3) * -8.6 - this",
						0,
						0
					]
				},
				"leg2Morph": {
					"rotation": [
						"math.sin(query.life_time * 60 * (query.is_baby ? 0.95 : 0.5) * 57.3) * -8.6 - this",
						0,
						0
					]
				},
				"leg3Morph": {
					"rotation": [
						"math.sin(query.life_time * 60 * (query.is_baby ? 0.95 : 0.5) * 57.3) * 8.6 - this",
						0,
						0
					]
				}
			}
		},
		"animation.tsu_morph.panda.sitting": {
			"loop": true,
			"bones": {
				"bodyMorph": {
					"rotation": [
						"(query.is_scared * math.cos(query.life_time * 71.62) * 16.2) + (query.sit_amount * -90) - this",
						0,
						0
					],
					"position": [
						0,
						"-2.15 -10 -this",
						0
					]
				},
				"headMorph": {
					"rotation": [
						"query.is_eating ? (90.0 + 11.5 * math.sin(query.life_time * 750)) : (query.sit_amount * (100 - this)) - this",
						0,
						0
					]
				},
				"leg0Morph": {
					"rotation": [
						0,
						0,
						"32.7 - this"
					]
				},
				"leg1Morph": {
					"rotation": [
						0,
						0,
						"-32.7 - this"
					]
				},
				"leg2Morph": {
					"rotation": [
						"(query.is_eating ? (-23 - (16.5 * math.sin(query.life_time * 750))) : 0) - this",
						0,
						-15
					]
				},
				"leg3Morph": {
					"rotation": [
						"(query.is_eating ? (-23 - (16.5 * math.sin(query.life_time * 750))) : 0) - this",
						0,
						15
					]
				}
			}
		},
		"animation.tsu_morph.panda.sneezing": {
			"loop": true,
			"bones": {
				"headMorph": {
					"rotation": [
						"(query.sneeze_counter < 15) ? (-45 * (query.sneeze_counter / 14)) : (-45 + (9 * (query.sneeze_counter - 15)) - this)",
						0,
						0
					]
				}
			}
		},
		"animation.tsu_morph.panda.unhappy": {
			"loop": true,
			"bones": {
				"headMorph": {
					"rotation": [
						0,
						"(math.sin(query.life_time * 327.6) * 20) - this",
						"(math.sin(query.life_time * 327.6) * 20) - this"
					]
				},
				"leg2Morph": {
					"rotation": [
						"(math.sin(query.life_time * 343.8) * -43) - this",
						0,
						0
					]
				},
				"leg3Morph": {
					"rotation": [
						"(math.sin(query.life_time * 343.8) * 43) - this",
						0,
						0
					]
				}
			}
		}
	}
}